Subject: Re: Urgent Feedback- Online Pharmacy
From: Joeffrey Garrera <[email-masked]>
To: Deeksha Dadu <[email-masked]>
Cc: akhil <[email-masked]>, admin <[email-masked]>, Cheryl Barde <[email-masked]>, Jade Cuizon <[email-masked]>, Buffer Buffer <[email-masked]>, Richard Plateros <[email-masked]>, emelyn <[email-masked]>, nikkie <[email-masked]>
Date: Sat, 16 Aug 2014 23:01:58 +0530 (IST)

Hi Deeksha Maam, 

I have take note all your feedback. This will be applied for more improvements. Once again thank you for this audit and apply for more improvements. 

Kind regards, 
Jeoffrey 

----- Original Message ----- 
From: "Deeksha Dadu" <[email-masked]> 
To: "Cheryl Barde" <[email-masked]>, "Jade Cuizon" <[email-masked]>, "Joeffrey Garrera" <[email-masked]>, "Buffer Buffer" <[email-masked]>, "Richard Plateros" <[email-masked]>, "emelyn" <[email-masked]>, "nikkie" <[email-masked]> 
Cc: "akhil" <[email-masked]>, "admin" <[email-masked]> 
Sent: Saturday, August 16, 2014 8:29:28 PM GMT +08:00 Beijing / Chongqing / Hong Kong / Urumqi 
Subject: Urgent Feedback- Online Pharmacy 

Hi all, 

I audited some of the chats from yesterday for the new process online pharmacy and I am extremely disappointed to see the quality you guys are delivering. The biggest concern being the response time. The customer is not replied to for minutes at a stretch or is made to wait 18-20 minutes for something as simple as shipping status, tracking number. even checking the price on the website takes you 4-5 minutes! 

secondly, agents are not trying to carefully read the customer's question and giving random replies. 

All this MUST STOP immediately. The response must go within 30 seconds. if you are checking some details, it can be a little longer but within acceptable limits. I never want to see the customer repeating his question, saying 'hello' or leaving chat because there is no response from the agent's side. 

Please go through each and every feedback extremely carefully and make sure that tomorrow when I check chats, I do not see any of this. 

Regards, 
Deeksha